# Smart Tiered Cache ## Get Smart Tiered Cache setting `client.cache.smartTieredCache.get(SmartTieredCacheGetParamsparams, RequestOptionsoptions?): SmartTieredCacheGetResponse` **get** `/zones/{zone_id}/cache/tiered_cache_smart_topology_enable` Smart Tiered Cache dynamically selects the single closest upper tier for each of your website’s origins with no configuration required, using our in-house performance and routing data. Cloudflare collects latency data for each request to an origin, and uses the latency data to determine how well any upper-tier data center is connected with an origin. As a result, Cloudflare can select the data center with the lowest latency to be the upper-tier for an origin. ### Parameters - `params: SmartTieredCacheGetParams` - `zone_id: string` Identifier. ### Returns - `SmartTieredCacheGetResponse` - `id: "tiered_cache_smart_topology_enable"` The identifier of the caching setting. - `"tiered_cache_smart_topology_enable"` - `editable: boolean` Whether the setting is editable. - `value: "on" | "off"` Value of the Smart Tiered Cache zone setting. - `"on"` - `"off"` - `modified_on?: string | null` Last time this setting was modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const smartTieredCache = await client.cache.smartTieredCache.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(smartTieredCache.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "tiered_cache_smart_topology_enable", "editable": true, "value": "on", "modified_on": "2014-01-01T05:20:00.12345Z" } } ``` ## Patch Smart Tiered Cache setting `client.cache.smartTieredCache.edit(SmartTieredCacheEditParamsparams, RequestOptionsoptions?): SmartTieredCacheEditResponse` **patch** `/zones/{zone_id}/cache/tiered_cache_smart_topology_enable` Smart Tiered Cache dynamically selects the single closest upper tier for each of your website’s origins with no configuration required, using our in-house performance and routing data. Cloudflare collects latency data for each request to an origin, and uses the latency data to determine how well any upper-tier data center is connected with an origin. As a result, Cloudflare can select the data center with the lowest latency to be the upper-tier for an origin. ### Parameters - `params: SmartTieredCacheEditParams` - `zone_id: string` Path param: Identifier. - `value: "on" | "off"` Body param: Enable or disable the Smart Tiered Cache. - `"on"` - `"off"` ### Returns - `SmartTieredCacheEditResponse` - `id: "tiered_cache_smart_topology_enable"` The identifier of the caching setting. - `"tiered_cache_smart_topology_enable"` - `editable: boolean` Whether the setting is editable. - `value: "on" | "off"` Value of the Smart Tiered Cache zone setting. - `"on"` - `"off"` - `modified_on?: string | null` Last time this setting was modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.cache.smartTieredCache.edit({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', value: 'on', }); console.log(response.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "tiered_cache_smart_topology_enable", "editable": true, "value": "on", "modified_on": "2014-01-01T05:20:00.12345Z" } } ``` ## Delete Smart Tiered Cache setting `client.cache.smartTieredCache.delete(SmartTieredCacheDeleteParamsparams, RequestOptionsoptions?): SmartTieredCacheDeleteResponse` **delete** `/zones/{zone_id}/cache/tiered_cache_smart_topology_enable` Smart Tiered Cache dynamically selects the single closest upper tier for each of your website’s origins with no configuration required, using our in-house performance and routing data. Cloudflare collects latency data for each request to an origin, and uses the latency data to determine how well any upper-tier data center is connected with an origin. As a result, Cloudflare can select the data center with the lowest latency to be the upper-tier for an origin. ### Parameters - `params: SmartTieredCacheDeleteParams` - `zone_id: string` Identifier. ### Returns - `SmartTieredCacheDeleteResponse` - `id: "tiered_cache_smart_topology_enable"` The identifier of the caching setting. - `"tiered_cache_smart_topology_enable"` - `editable: boolean` Whether the setting is editable. - `modified_on?: string | null` Last time this setting was modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const smartTieredCache = await client.cache.smartTieredCache.delete({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(smartTieredCache.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "tiered_cache_smart_topology_enable", "editable": true, "modified_on": "2014-01-01T05:20:00.12345Z" } } ``` ## Domain Types ### Smart Tiered Cache Get Response - `SmartTieredCacheGetResponse` - `id: "tiered_cache_smart_topology_enable"` The identifier of the caching setting. - `"tiered_cache_smart_topology_enable"` - `editable: boolean` Whether the setting is editable. - `value: "on" | "off"` Value of the Smart Tiered Cache zone setting. - `"on"` - `"off"` - `modified_on?: string | null` Last time this setting was modified. ### Smart Tiered Cache Edit Response - `SmartTieredCacheEditResponse` - `id: "tiered_cache_smart_topology_enable"` The identifier of the caching setting. - `"tiered_cache_smart_topology_enable"` - `editable: boolean` Whether the setting is editable. - `value: "on" | "off"` Value of the Smart Tiered Cache zone setting. - `"on"` - `"off"` - `modified_on?: string | null` Last time this setting was modified. ### Smart Tiered Cache Delete Response - `SmartTieredCacheDeleteResponse` - `id: "tiered_cache_smart_topology_enable"` The identifier of the caching setting. - `"tiered_cache_smart_topology_enable"` - `editable: boolean` Whether the setting is editable. - `modified_on?: string | null` Last time this setting was modified.